=== debian/changelog ===
sdl12-compat (1.2.69~git20251027~ca4b3f7-1) experimental; urgency=medium

  * New upstream snapshot, commit release-1.2.68-69-gca4b3f7
  * d/libsdl1.2-compat-tests.install: Update test paths
  * d/control, d/rules: Use chrpath to remove unwanted RPATHs from tests
  * d/source/lintian-overrides: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Oct 2025 20:47:08 +0000
