## sdl12-compat 1.2.69~git20251029~eee7543

=== debian/changelog ===
sdl12-compat (1.2.69~git20251029~eee7543-1) experimental; urgency=medium

  * New upstream snapshot, commit release-1.2.68-78-geee7543
    (release candidate for 1.2.70)
  * d/p/test-Optionally-install-manual-tests-for-as-installed-tes.patch:
    Add proposed patch teaching the upstream build system to install tests
  * d/rules, d/control, d/libsdl1.2-compat-tests.install:
    Let the upstream build system install the manual tests.
    This means CMake will clean up the RPATHs for us, so we no longer
    need chrpath.

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Oct 2025 13:37:59 +0000
