=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  Antoine Le Gonidec <vv221@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- chrpath,
  cmake,
  libglu1-mesa-dev,
  libsdl2-dev,
