=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

# used in dh_install, dh_link
export ABI_VERSION=1.2.70

%:
	dh $@ -Scmake+ninja

configure_options := \
	-DSDL12COMPAT_INSTALL_TESTS=ON \
	$(NULL)

override_dh_auto_configure:
	dh_auto_configure -- $(configure_options)

# There are no automated tests in this package
override_dh_auto_test:

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests (#1006927)
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
	chmod --recursive a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
