=== debian/changelog ===
sdl12-compat (1.2.70-2) unstable; urgency=medium

  * d/patches: Add post-release bug fixes up to release-1.2.70-3-gb667924.
    In particular this should fix the ci.debian.net regressions in
    libsdl-perl and onscripter.

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Nov 2025 16:17:58 +0000

sdl12-compat (1.2.70-1) unstable; urgency=medium

  * New upstream release
  * d/watch*: Update
  * d/gbp.conf: Merge from upstream release tag when importing
  * d/gbp.conf, d/control: Revert branch changes made for snapshots
  * d/p/test-Optionally-install-manual-tests-for-as-installed-tes.patch:
    Drop patch, applied upstream
  * d/libsdl1.2debian.symbols: Require 1.2.70 for new symbols
  * Remove transitional packages.
    They were released in Debian 13 and Ubuntu 24.04 LTS, and we do not
    support skipping a major release, so they have served their purpose
    for smooth upgrades.
    Nothing in Debian depends on libsdl1.2-compat or
    libsdl1.2-compat-shim.
    A few packages build-depend on libsdl1.2-compat-dev, but libsdl1.2-dev
    Provides that name.
  * d/libsdl1.2debian.install, d/rules: Stop tracking ABI version
    explicitly.
    Now that libsdl1.2-compat no longer exists, we can use a wildcard
    instead of needing to hard-code the specific ABI minor version.
  * d/salsa-ci.yml: Add

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Oct 2025 16:56:04 +0000
