=== debian/control ===
--- 
+++ 
@@ -16,29 +16,8 @@
 Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/libsdl-org/sdl12-compat
-Vcs-Git: https://salsa.debian.org/sdl-team/sdl12-compat.git -b debian/snapshots
+Vcs-Git: https://salsa.debian.org/sdl-team/sdl12-compat.git
 Vcs-Browser: https://salsa.debian.org/sdl-team/sdl12-compat
-
-Package: libsdl1.2-compat
-Section: oldlibs
-Architecture: any
-Multi-Arch: same
-Depends:
- libsdl1.2debian (>= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Pre-Depends:
- ${misc:Pre-Depends},
-Description: SDL 1.2 binary compatibility library - transitional package
- sdl12-compat provides a binary compatible API for programs built
- against SDL 1.2, but using SDL 2.0.
- .
- If you are writing new code, please target SDL 2.0 directly instead
- of using this layer.
- .
- This transitional package provides symbolic links to the library in a private
- location, matching the way it was used before it was Debian's default
- implementation of the SDL 1.2 ABI.
 
 Package: libsdl1.2-dev
 Section: libdevel
@@ -100,45 +79,6 @@
  If you are writing new code, please target SDL 2.0 directly instead
  of using this layer.
 
-Package: libsdl1.2-compat-dev
-Section: oldlibs
-Architecture: any
-Multi-Arch: same
-Depends:
- libsdl1.2-dev (>= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Pre-Depends:
- ${misc:Pre-Depends},
-Description: SDL 1.2 binary compatibility library - transitional development files
- sdl12-compat provides a binary compatible API for programs built
- against SDL 1.2, but using SDL 2.0.
- .
- If you are writing new code, please target SDL 2.0 directly instead
- of using this layer.
- .
- This transitional package depends on a version of libsdl1.2-dev
- new enough that it actually contains sdl12-compat development files.
-
-Package: libsdl1.2-compat-shim
-Section: oldlibs
-Architecture: any
-Multi-Arch: same
-Depends:
- libsdl1.2-compat (>= ${binary:Version}),
- libsdl1.2debian (>= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Description: libsdl1.2debian replacement using SDL 2.0 - transitional package
- sdl12-compat provides a binary compatible API for programs built
- against SDL 1.2, but using SDL 2.0.
- .
- If you are writing new code, please target SDL 2.0 directly instead
- of using this layer.
- .
- This transitional package depends on a version of libsdl1.2debian
- new enough that it actually contains sdl12-compat.
-
 Package: libsdl1.2-compat-tests
 Section: misc
 Architecture: any
