=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,6 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/default.mk
-
-# used in dh_install, dh_link
-export ABI_VERSION=1.2.70
 
 %:
 	dh $@ -Scmake+ninja
