=== debian/watch ===
Version: 5

# Upstream releases official source tarballs, so we use
# those in preference to git tags
Source: https://github.com/libsdl-org/sdl12-compat/tags
Matching-Pattern: .*/releases/tag/(?:release)-?@ANY_VERSION@
Compression: gz
Download-Url-Mangle: s#/tag/#/download/#;s#((?:prerelease|preview|release)-?@ANY_VERSION@)$#$1/sdl12-compat-$2.tar.gz#
Dversion-Mangle: s/[+~](?:ds|dfsg)[0-9]*$//;s/\+(?:git)?[0-9]+(?:\+g[0-9a-f]*)?$//
Filename-Mangle: s#(?:prerelease|preview|release)-?@ANY_VERSION@#sdl12-compat-$1.tar.gz#
Pgp-Mode: auto
