=== debian/changelog ===
sdl12-compat (1.2.72-1) unstable; urgency=medium

  * New upstream release
  * Drop patches that were included in the upstream release

 -- Simon McVittie <smcv@debian.org>  Wed, 03 Dec 2025 14:56:09 +0000

sdl12-compat (1.2.70-3) unstable; urgency=medium

  * d/p/Revert-Don-t-include-glu.h-by-default.patch:
    Add patch from upstream to include <GL/glu.h> as was historically done,
    reverting a change in 1.2.70 that caused several older games to FTBFS
    (Closes: #1120174, #1120175, #1120181, #1120183, #1120186, #1120195)
    (Closes: #1120196, #1120199, #1120207, #1120218, #1120224, #1120225)

 -- Simon McVittie <smcv@debian.org>  Thu, 06 Nov 2025 21:43:09 +0000
