=== debian/changelog ===
sdl12-compat (1.2.74-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/p/Revert-video-Don-t-tear-everything-down-in-SDL_SetVideoMo.patch:
    Temporarily revert an upstream change that addressed a regression when
    using sdl2-compat with SDL 3.4.x, but regresses "classic" SDL2. We can
    put this back when a better solution is found, or when we are ready to
    switch to sdl2-compat as the default implementation of SDL 2.
    (Mitigates: #1127514; Closes: #1127025)

  [ Antoine Le Gonidec ]
  * Drop myself from Uploaders

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Feb 2026 19:06:49 +0000

sdl12-compat (1.2.74-1) unstable; urgency=medium

  * New upstream release
  * d/control: Standards-Version: 4.7.3
    - Remove Priority field, no longer needed
  * d/upstream-signing-key.asc: Accept Sam's new signing key

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Feb 2026 18:23:07 +0000
