=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: sdl12-compat
 X-Style: black
-Priority: optional
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders:
  Simon McVittie <smcv@debian.org>,
  Stephen Kitt <skitt@debian.org>,
- Antoine Le Gonidec <vv221@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
@@ -13,7 +11,7 @@
  libsdl2-dev,
  libx11-dev,
  ninja-build,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Section: libs
 Homepage: https://github.com/libsdl-org/sdl12-compat
 Vcs-Git: https://salsa.debian.org/sdl-team/sdl12-compat.git
